GET/v1/emails/logs

Authorization

Bearer token

Authorizationrequiredheader

Send your API key as Bearer YOUR_API_KEY.

Permissionemail.full_access

Query parameters

limitoptionalinteger

1–100; defaults to 50.

cursoroptionalstring

The previous response's nextCursor; maximum 1,024 characters.

statusoptionalstring

One of"scheduled""canceled""queued""sending""accepted""delivered""bounced""complained""failed""suppressed"

sourceoptionalstring

Filter by sending source, such as api or smtp.

recipientoptionalstring

Filter by recipient.

searchoptionalstring

Search delivery logs.

contactIdoptionalstring

Filter by contact.

templateIdoptionalstring

Filter by template.

startDateoptionaldate string

Start of the date filter, as an ISO 8601 timestamp.

endDateoptionaldate string

End of the date filter, as an ISO 8601 timestamp.

Response

application/json200 OK

The response contains a collection of delivery summaries.

Each item contains id, created_at, recipient, subject, status, and scheduled_at (the scheduled send time, or null). Use that item's id to retrieve the delivery.

total can be null. Continue with nextCursor while hasMore is true; see Pagination.

Nexiom Connect
Open dashboard